'use strict';

var globalAxios = require('axios');

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    if (typeof b !== "function" && b !== null)
        throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

function __generator(thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
}

/* tslint:disable */
var BASE_PATH = "https://blocks.dopt.com".replace(/\/+$/, "");
/**
 *
 * @export
 * @class BaseAPI
 */
var BaseAPI = /** @class */ (function () {
    function BaseAPI(configuration, basePath, axios) {
        if (basePath === void 0) { basePath = BASE_PATH; }
        if (axios === void 0) { axios = globalAxios; }
        this.basePath = basePath;
        this.axios = axios;
        if (configuration) {
            this.configuration = configuration;
            this.basePath = configuration.basePath || this.basePath;
        }
    }
    return BaseAPI;
}());
/**
 *
 * @export
 * @class RequiredError
 * @extends {Error}
 */
var RequiredError = /** @class */ (function (_super) {
    __extends(RequiredError, _super);
    function RequiredError(field, msg) {
        var _this = _super.call(this, msg) || this;
        _this.field = field;
        _this.name = "RequiredError";
        return _this;
    }
    return RequiredError;
}(Error));

/* tslint:disable */
/**
 *
 * @export
 */
var DUMMY_BASE_URL = 'https://example.com';
/**
 *
 * @throws {RequiredError}
 * @export
 */
var assertParamExists = function (functionName, paramName, paramValue) {
    if (paramValue === null || paramValue === undefined) {
        throw new RequiredError(paramName, "Required parameter ".concat(paramName, " was null or undefined when calling ").concat(functionName, "."));
    }
};
/**
 *
 * @export
 */
var setApiKeyToObject = function (object, keyParamName, configuration) {
    return __awaiter(this, void 0, void 0, function () {
        var localVarApiKeyValue, _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                    if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                    return [4 /*yield*/, configuration.apiKey(keyParamName)];
                case 1:
                    _a = _b.sent();
                    return [3 /*break*/, 4];
                case 2: return [4 /*yield*/, configuration.apiKey];
                case 3:
                    _a = _b.sent();
                    _b.label = 4;
                case 4:
                    localVarApiKeyValue = _a;
                    object[keyParamName] = localVarApiKeyValue;
                    _b.label = 5;
                case 5: return [2 /*return*/];
            }
        });
    });
};
function setFlattenedQueryParams(urlSearchParams, parameter, key) {
    if (key === void 0) { key = ""; }
    if (typeof parameter === "object") {
        if (Array.isArray(parameter)) {
            parameter.forEach(function (item) { return setFlattenedQueryParams(urlSearchParams, item, key); });
        }
        else {
            Object.keys(parameter).forEach(function (currentKey) {
                return setFlattenedQueryParams(urlSearchParams, parameter[currentKey], "".concat(key).concat(key !== '' ? '.' : '').concat(currentKey));
            });
        }
    }
    else {
        if (urlSearchParams.has(key)) {
            urlSearchParams.append(key, parameter);
        }
        else {
            urlSearchParams.set(key, parameter);
        }
    }
}
/**
 *
 * @export
 */
var setSearchParams = function (url) {
    var objects = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        objects[_i - 1] = arguments[_i];
    }
    var searchParams = new URLSearchParams(url.search);
    setFlattenedQueryParams(searchParams, objects);
    url.search = searchParams.toString();
};
/**
 *
 * @export
 */
var toPathString = function (url) {
    return url.pathname + url.search + url.hash;
};
/**
 *
 * @export
 */
var createRequestFunction = function (axiosArgs, globalAxios, BASE_PATH, configuration) {
    return function (axios, basePath) {
        if (axios === void 0) { axios = globalAxios; }
        if (basePath === void 0) { basePath = BASE_PATH; }
        var axiosRequestArgs = __assign(__assign({}, axiosArgs.options), { url: ((configuration === null || configuration === void 0 ? void 0 : configuration.basePath) || basePath) + axiosArgs.url });
        return axios.request(axiosRequestArgs);
    };
};

/* tslint:disable */
var FlowResponseBodyKindEnum = {
    Flow: 'flow'
};
var FlowResponseBodyTypeEnum = {
    Flow: 'flow'
};
var FlowResponseBodyBlocksInnerKindEnum = {
    Block: 'block'
};
var FlowResponseBodyBlocksInnerTypeEnum = {
    Set: 'set'
};
var FlowResponseBodyBlocksInnerAnyOfKindEnum = {
    Block: 'block'
};
var FlowResponseBodyBlocksInnerAnyOfTypeEnum = {
    Model: 'model'
};
var FlowResponseBodyBlocksInnerAnyOf1KindEnum = {
    Block: 'block'
};
var FlowResponseBodyBlocksInnerAnyOf1TypeEnum = {
    Set: 'set'
};
var FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum = {
    Boolean: 'boolean'
};
var FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum = {
    String: 'string'
};
var FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum = {
    Integer: 'integer'
};
var FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum = {
    Boolean: 'boolean'
};
var ModelKindEnum = {
    Block: 'block'
};
var ModelTypeEnum = {
    Model: 'model'
};
var ModelSetKindEnum = {
    Block: 'block'
};
var ModelSetTypeEnum = {
    Set: 'set'
};
var SerializableBlockKindEnum = {
    Block: 'block'
};
var SerializableBlockTypeEnum = {
    Set: 'set'
};
var SerializableBlockAnyOfKindEnum = {
    Block: 'block'
};
var SerializableBlockAnyOfTypeEnum = {
    Model: 'model'
};
var SerializableFlowKindEnum = {
    Flow: 'flow'
};
var SerializableFlowTypeEnum = {
    Flow: 'flow'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1BlockUidGetIntentParameterAnyOf = {
    Next: 'next'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1BlockUidGetIntentParameterAnyOf1 = {
    Prev: 'prev'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1BlockUidGetIntentParameterAnyOf2 = {
    GoTo: 'goTo'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1FlowUidIntentPostIntentParameterAnyOfAnyOf = {
    Complete: 'complete'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1FlowUidIntentPostIntentParameterAnyOfAnyOf1 = {
    Exit: 'exit'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1FlowUidIntentPostIntentParameterAnyOfAnyOf2 = {
    Reset: 'reset'
};
/**
 *
 * @export
 * @enum {string}
 */
var V1FlowUidIntentPostIntentParameterAnyOfAnyOf3 = {
    Start: 'start'
};
/**
 * APIApi - axios parameter creator
 * @export
 */
var APIApiAxiosParamCreator = function (configuration) {
    var _this = this;
    return {
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidGet: function (version, userIdentifier, uid, intent, groupIdentifier, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, headersFromBaseOptions;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            // verify required parameter 'version' is not null or undefined
                            assertParamExists('v1BlockUidGet', 'version', version);
                            // verify required parameter 'userIdentifier' is not null or undefined
                            assertParamExists('v1BlockUidGet', 'userIdentifier', userIdentifier);
                            // verify required parameter 'uid' is not null or undefined
                            assertParamExists('v1BlockUidGet', 'uid', uid);
                            // verify required parameter 'intent' is not null or undefined
                            assertParamExists('v1BlockUidGet', 'intent', intent);
                            localVarPath = "/v1/block/{uid}"
                                .replace("{".concat("uid", "}"), encodeURIComponent(String(uid)))
                                .replace("{".concat("intent", "}"), encodeURIComponent(String(intent)));
                            localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            // authentication ApiKeyAuth required
                            return [4 /*yield*/, setApiKeyToObject(localVarHeaderParameter, "X-Api-Key", configuration)];
                        case 1:
                            // authentication ApiKeyAuth required
                            _a.sent();
                            if (version !== undefined) {
                                localVarQueryParameter['version'] = version;
                            }
                            if (userIdentifier !== undefined) {
                                localVarQueryParameter['userIdentifier'] = userIdentifier;
                            }
                            if (groupIdentifier !== undefined) {
                                localVarQueryParameter['groupIdentifier'] = groupIdentifier;
                            }
                            setSearchParams(localVarUrlObj, localVarQueryParameter);
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: toPathString(localVarUrlObj),
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} blockUid
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidGoToPost: function (version, userIdentifier, blockUid, uid, intent, groupIdentifier, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, headersFromBaseOptions;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            // verify required parameter 'version' is not null or undefined
                            assertParamExists('v1BlockUidGoToPost', 'version', version);
                            // verify required parameter 'userIdentifier' is not null or undefined
                            assertParamExists('v1BlockUidGoToPost', 'userIdentifier', userIdentifier);
                            // verify required parameter 'blockUid' is not null or undefined
                            assertParamExists('v1BlockUidGoToPost', 'blockUid', blockUid);
                            // verify required parameter 'uid' is not null or undefined
                            assertParamExists('v1BlockUidGoToPost', 'uid', uid);
                            // verify required parameter 'intent' is not null or undefined
                            assertParamExists('v1BlockUidGoToPost', 'intent', intent);
                            localVarPath = "/v1/block/{uid}/goTo"
                                .replace("{".concat("uid", "}"), encodeURIComponent(String(uid)))
                                .replace("{".concat("intent", "}"), encodeURIComponent(String(intent)));
                            localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            // authentication ApiKeyAuth required
                            return [4 /*yield*/, setApiKeyToObject(localVarHeaderParameter, "X-Api-Key", configuration)];
                        case 1:
                            // authentication ApiKeyAuth required
                            _a.sent();
                            if (version !== undefined) {
                                localVarQueryParameter['version'] = version;
                            }
                            if (userIdentifier !== undefined) {
                                localVarQueryParameter['userIdentifier'] = userIdentifier;
                            }
                            if (groupIdentifier !== undefined) {
                                localVarQueryParameter['groupIdentifier'] = groupIdentifier;
                            }
                            if (blockUid !== undefined) {
                                localVarQueryParameter['blockUid'] = blockUid;
                            }
                            setSearchParams(localVarUrlObj, localVarQueryParameter);
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: toPathString(localVarUrlObj),
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidIntentPost: function (version, userIdentifier, uid, intent, groupIdentifier, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, headersFromBaseOptions;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            // verify required parameter 'version' is not null or undefined
                            assertParamExists('v1BlockUidIntentPost', 'version', version);
                            // verify required parameter 'userIdentifier' is not null or undefined
                            assertParamExists('v1BlockUidIntentPost', 'userIdentifier', userIdentifier);
                            // verify required parameter 'uid' is not null or undefined
                            assertParamExists('v1BlockUidIntentPost', 'uid', uid);
                            // verify required parameter 'intent' is not null or undefined
                            assertParamExists('v1BlockUidIntentPost', 'intent', intent);
                            localVarPath = "/v1/block/{uid}/{intent}"
                                .replace("{".concat("uid", "}"), encodeURIComponent(String(uid)))
                                .replace("{".concat("intent", "}"), encodeURIComponent(String(intent)));
                            localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            // authentication ApiKeyAuth required
                            return [4 /*yield*/, setApiKeyToObject(localVarHeaderParameter, "X-Api-Key", configuration)];
                        case 1:
                            // authentication ApiKeyAuth required
                            _a.sent();
                            if (version !== undefined) {
                                localVarQueryParameter['version'] = version;
                            }
                            if (userIdentifier !== undefined) {
                                localVarQueryParameter['userIdentifier'] = userIdentifier;
                            }
                            if (groupIdentifier !== undefined) {
                                localVarQueryParameter['groupIdentifier'] = groupIdentifier;
                            }
                            setSearchParams(localVarUrlObj, localVarQueryParameter);
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: toPathString(localVarUrlObj),
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {string} intent
         * @param {string} [groupIdentifier]
         * @param {boolean} [includeBlock]
         * @param {boolean} [includeBlockJourney]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1FlowUidGet: function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, headersFromBaseOptions;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            // verify required parameter 'version' is not null or undefined
                            assertParamExists('v1FlowUidGet', 'version', version);
                            // verify required parameter 'userIdentifier' is not null or undefined
                            assertParamExists('v1FlowUidGet', 'userIdentifier', userIdentifier);
                            // verify required parameter 'uid' is not null or undefined
                            assertParamExists('v1FlowUidGet', 'uid', uid);
                            // verify required parameter 'intent' is not null or undefined
                            assertParamExists('v1FlowUidGet', 'intent', intent);
                            localVarPath = "/v1/flow/{uid}"
                                .replace("{".concat("uid", "}"), encodeURIComponent(String(uid)))
                                .replace("{".concat("intent", "}"), encodeURIComponent(String(intent)));
                            localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            // authentication ApiKeyAuth required
                            return [4 /*yield*/, setApiKeyToObject(localVarHeaderParameter, "X-Api-Key", configuration)];
                        case 1:
                            // authentication ApiKeyAuth required
                            _a.sent();
                            if (version !== undefined) {
                                localVarQueryParameter['version'] = version;
                            }
                            if (userIdentifier !== undefined) {
                                localVarQueryParameter['userIdentifier'] = userIdentifier;
                            }
                            if (groupIdentifier !== undefined) {
                                localVarQueryParameter['groupIdentifier'] = groupIdentifier;
                            }
                            if (includeBlock !== undefined) {
                                localVarQueryParameter['include[block]'] = includeBlock;
                            }
                            if (includeBlockJourney !== undefined) {
                                localVarQueryParameter['include[block][journey]'] = includeBlockJourney;
                            }
                            setSearchParams(localVarUrlObj, localVarQueryParameter);
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: toPathString(localVarUrlObj),
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1FlowUidIntentPostIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {boolean} [includeBlock]
         * @param {boolean} [includeBlockJourney]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1FlowUidIntentPost: function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, headersFromBaseOptions;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            // verify required parameter 'version' is not null or undefined
                            assertParamExists('v1FlowUidIntentPost', 'version', version);
                            // verify required parameter 'userIdentifier' is not null or undefined
                            assertParamExists('v1FlowUidIntentPost', 'userIdentifier', userIdentifier);
                            // verify required parameter 'uid' is not null or undefined
                            assertParamExists('v1FlowUidIntentPost', 'uid', uid);
                            // verify required parameter 'intent' is not null or undefined
                            assertParamExists('v1FlowUidIntentPost', 'intent', intent);
                            localVarPath = "/v1/flow/{uid}/{intent}"
                                .replace("{".concat("uid", "}"), encodeURIComponent(String(uid)))
                                .replace("{".concat("intent", "}"), encodeURIComponent(String(intent)));
                            localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            // authentication ApiKeyAuth required
                            return [4 /*yield*/, setApiKeyToObject(localVarHeaderParameter, "X-Api-Key", configuration)];
                        case 1:
                            // authentication ApiKeyAuth required
                            _a.sent();
                            if (version !== undefined) {
                                localVarQueryParameter['version'] = version;
                            }
                            if (userIdentifier !== undefined) {
                                localVarQueryParameter['userIdentifier'] = userIdentifier;
                            }
                            if (groupIdentifier !== undefined) {
                                localVarQueryParameter['groupIdentifier'] = groupIdentifier;
                            }
                            if (includeBlock !== undefined) {
                                localVarQueryParameter['include[block]'] = includeBlock;
                            }
                            if (includeBlockJourney !== undefined) {
                                localVarQueryParameter['include[block][journey]'] = includeBlockJourney;
                            }
                            setSearchParams(localVarUrlObj, localVarQueryParameter);
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: toPathString(localVarUrlObj),
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
    };
};
/**
 * APIApi - functional programming interface
 * @export
 */
var APIApiFp = function (configuration) {
    var localVarAxiosParamCreator = APIApiAxiosParamCreator(configuration);
    return {
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidGet: function (version, userIdentifier, uid, intent, groupIdentifier, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, localVarAxiosParamCreator.v1BlockUidGet(version, userIdentifier, uid, intent, groupIdentifier, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration)];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} blockUid
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidGoToPost: function (version, userIdentifier, blockUid, uid, intent, groupIdentifier, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, localVarAxiosParamCreator.v1BlockUidGoToPost(version, userIdentifier, blockUid, uid, intent, groupIdentifier, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration)];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidIntentPost: function (version, userIdentifier, uid, intent, groupIdentifier, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, localVarAxiosParamCreator.v1BlockUidIntentPost(version, userIdentifier, uid, intent, groupIdentifier, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration)];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {string} intent
         * @param {string} [groupIdentifier]
         * @param {boolean} [includeBlock]
         * @param {boolean} [includeBlockJourney]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1FlowUidGet: function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, localVarAxiosParamCreator.v1FlowUidGet(version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration)];
                    }
                });
            });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1FlowUidIntentPostIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {boolean} [includeBlock]
         * @param {boolean} [includeBlockJourney]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1FlowUidIntentPost: function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, localVarAxiosParamCreator.v1FlowUidIntentPost(version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration)];
                    }
                });
            });
        },
    };
};
/**
 * APIApi - factory interface
 * @export
 */
var APIApiFactory = function (configuration, basePath, axios) {
    var localVarFp = APIApiFp(configuration);
    return {
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidGet: function (version, userIdentifier, uid, intent, groupIdentifier, options) {
            return localVarFp.v1BlockUidGet(version, userIdentifier, uid, intent, groupIdentifier, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} blockUid
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidGoToPost: function (version, userIdentifier, blockUid, uid, intent, groupIdentifier, options) {
            return localVarFp.v1BlockUidGoToPost(version, userIdentifier, blockUid, uid, intent, groupIdentifier, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1BlockUidGetIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1BlockUidIntentPost: function (version, userIdentifier, uid, intent, groupIdentifier, options) {
            return localVarFp.v1BlockUidIntentPost(version, userIdentifier, uid, intent, groupIdentifier, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {string} intent
         * @param {string} [groupIdentifier]
         * @param {boolean} [includeBlock]
         * @param {boolean} [includeBlockJourney]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1FlowUidGet: function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
            return localVarFp.v1FlowUidGet(version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @param {number} version
         * @param {string} userIdentifier
         * @param {string} uid
         * @param {V1FlowUidIntentPostIntentParameter} intent
         * @param {string} [groupIdentifier]
         * @param {boolean} [includeBlock]
         * @param {boolean} [includeBlockJourney]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        v1FlowUidIntentPost: function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
            return localVarFp.v1FlowUidIntentPost(version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options).then(function (request) { return request(axios, basePath); });
        },
    };
};
/**
 * APIApi - object-oriented interface
 * @export
 * @class APIApi
 * @extends {BaseAPI}
 */
var APIApi = /** @class */ (function (_super) {
    __extends(APIApi, _super);
    function APIApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    APIApi.prototype.v1BlockUidGet = function (version, userIdentifier, uid, intent, groupIdentifier, options) {
        var _this = this;
        return APIApiFp(this.configuration).v1BlockUidGet(version, userIdentifier, uid, intent, groupIdentifier, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    APIApi.prototype.v1BlockUidGoToPost = function (version, userIdentifier, blockUid, uid, intent, groupIdentifier, options) {
        var _this = this;
        return APIApiFp(this.configuration).v1BlockUidGoToPost(version, userIdentifier, blockUid, uid, intent, groupIdentifier, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    APIApi.prototype.v1BlockUidIntentPost = function (version, userIdentifier, uid, intent, groupIdentifier, options) {
        var _this = this;
        return APIApiFp(this.configuration).v1BlockUidIntentPost(version, userIdentifier, uid, intent, groupIdentifier, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    APIApi.prototype.v1FlowUidGet = function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
        var _this = this;
        return APIApiFp(this.configuration).v1FlowUidGet(version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1FlowUidIntentPostIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    APIApi.prototype.v1FlowUidIntentPost = function (version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options) {
        var _this = this;
        return APIApiFp(this.configuration).v1FlowUidIntentPost(version, userIdentifier, uid, intent, groupIdentifier, includeBlock, includeBlockJourney, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    return APIApi;
}(BaseAPI));

/* tslint:disable */
/* eslint-disable */
/**
 * Switchboard Blocks API
 * The Switchboard Blocks API
 *
 * The version of the OpenAPI document: 0.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
var Configuration = /** @class */ (function () {
    function Configuration(param) {
        if (param === void 0) { param = {}; }
        this.apiKey = param.apiKey;
        this.username = param.username;
        this.password = param.password;
        this.accessToken = param.accessToken;
        this.basePath = param.basePath;
        this.baseOptions = param.baseOptions;
        this.formDataCtor = param.formDataCtor;
    }
    /**
     * Check if the given MIME is a JSON MIME.
     * JSON MIME examples:
     *   application/json
     *   application/json; charset=UTF8
     *   APPLICATION/JSON
     *   application/vnd.company+json
     * @param mime - MIME (Multipurpose Internet Mail Extensions)
     * @return True if the given MIME is JSON, false otherwise.
     */
    Configuration.prototype.isJsonMime = function (mime) {
        var jsonMime = new RegExp('^(application\/json|[^;/ \t]+\/[^;/ \t]+[+]json)[ \t]*(;.*)?$', 'i');
        return mime !== null && (jsonMime.test(mime) || mime.toLowerCase() === 'application/json-patch+json');
    };
    return Configuration;
}());

exports.APIApi = APIApi;
exports.APIApiAxiosParamCreator = APIApiAxiosParamCreator;
exports.APIApiFactory = APIApiFactory;
exports.APIApiFp = APIApiFp;
exports.Configuration = Configuration;
exports.FlowResponseBodyBlocksInnerAnyOf1KindEnum = FlowResponseBodyBlocksInnerAnyOf1KindEnum;
exports.FlowResponseBodyBlocksInnerAnyOf1TypeEnum = FlowResponseBodyBlocksInnerAnyOf1TypeEnum;
exports.FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum = FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum;
exports.FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum = FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum;
exports.FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum = FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum;
exports.FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum = FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum;
exports.FlowResponseBodyBlocksInnerAnyOfKindEnum = FlowResponseBodyBlocksInnerAnyOfKindEnum;
exports.FlowResponseBodyBlocksInnerAnyOfTypeEnum = FlowResponseBodyBlocksInnerAnyOfTypeEnum;
exports.FlowResponseBodyBlocksInnerKindEnum = FlowResponseBodyBlocksInnerKindEnum;
exports.FlowResponseBodyBlocksInnerTypeEnum = FlowResponseBodyBlocksInnerTypeEnum;
exports.FlowResponseBodyKindEnum = FlowResponseBodyKindEnum;
exports.FlowResponseBodyTypeEnum = FlowResponseBodyTypeEnum;
exports.ModelKindEnum = ModelKindEnum;
exports.ModelSetKindEnum = ModelSetKindEnum;
exports.ModelSetTypeEnum = ModelSetTypeEnum;
exports.ModelTypeEnum = ModelTypeEnum;
exports.SerializableBlockAnyOfKindEnum = SerializableBlockAnyOfKindEnum;
exports.SerializableBlockAnyOfTypeEnum = SerializableBlockAnyOfTypeEnum;
exports.SerializableBlockKindEnum = SerializableBlockKindEnum;
exports.SerializableBlockTypeEnum = SerializableBlockTypeEnum;
exports.SerializableFlowKindEnum = SerializableFlowKindEnum;
exports.SerializableFlowTypeEnum = SerializableFlowTypeEnum;
exports.V1BlockUidGetIntentParameterAnyOf = V1BlockUidGetIntentParameterAnyOf;
exports.V1BlockUidGetIntentParameterAnyOf1 = V1BlockUidGetIntentParameterAnyOf1;
exports.V1BlockUidGetIntentParameterAnyOf2 = V1BlockUidGetIntentParameterAnyOf2;
exports.V1FlowUidIntentPostIntentParameterAnyOfAnyOf = V1FlowUidIntentPostIntentParameterAnyOfAnyOf;
exports.V1FlowUidIntentPostIntentParameterAnyOfAnyOf1 = V1FlowUidIntentPostIntentParameterAnyOfAnyOf1;
exports.V1FlowUidIntentPostIntentParameterAnyOfAnyOf2 = V1FlowUidIntentPostIntentParameterAnyOfAnyOf2;
exports.V1FlowUidIntentPostIntentParameterAnyOfAnyOf3 = V1FlowUidIntentPostIntentParameterAnyOfAnyOf3;
