import * as axios from 'axios';
import { AxiosRequestConfig, AxiosInstance, AxiosPromise } from 'axios';

/**
 * Switchboard Blocks API
 * The Switchboard Blocks API
 *
 * The version of the OpenAPI document: 0.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
interface ConfigurationParameters {
    apiKey?: string | Promise<string> | ((name: string) => string) | ((name: string) => Promise<string>);
    username?: string;
    password?: string;
    accessToken?: string | Promise<string> | ((name?: string, scopes?: string[]) => string) | ((name?: string, scopes?: string[]) => Promise<string>);
    basePath?: string;
    baseOptions?: any;
    formDataCtor?: new () => any;
}
declare class Configuration {
    /**
     * parameter for apiKey security
     * @param name security name
     * @memberof Configuration
     */
    apiKey?: string | Promise<string> | ((name: string) => string) | ((name: string) => Promise<string>);
    /**
     * parameter for basic security
     *
     * @type {string}
     * @memberof Configuration
     */
    username?: string;
    /**
     * parameter for basic security
     *
     * @type {string}
     * @memberof Configuration
     */
    password?: string;
    /**
     * parameter for oauth2 security
     * @param name security name
     * @param scopes oauth2 scope
     * @memberof Configuration
     */
    accessToken?: string | Promise<string> | ((name?: string, scopes?: string[]) => string) | ((name?: string, scopes?: string[]) => Promise<string>);
    /**
     * override base path
     *
     * @type {string}
     * @memberof Configuration
     */
    basePath?: string;
    /**
     * base options for axios calls
     *
     * @type {any}
     * @memberof Configuration
     */
    baseOptions?: any;
    /**
     * The FormData constructor that will be used to create multipart form data
     * requests. You can inject this here so that execution environments that
     * do not support the FormData class can still run the generated client.
     *
     * @type {new () => FormData}
     */
    formDataCtor?: new () => any;
    constructor(param?: ConfigurationParameters);
    /**
     * Check if the given MIME is a JSON MIME.
     * JSON MIME examples:
     *   application/json
     *   application/json; charset=UTF8
     *   APPLICATION/JSON
     *   application/vnd.company+json
     * @param mime - MIME (Multipurpose Internet Mail Extensions)
     * @return True if the given MIME is JSON, false otherwise.
     */
    isJsonMime(mime: string): boolean;
}

/**
 * Switchboard Blocks API
 * The Switchboard Blocks API
 *
 * The version of the OpenAPI document: 0.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

/**
 *
 * @export
 * @interface RequestArgs
 */
interface RequestArgs {
    url: string;
    options: AxiosRequestConfig;
}
/**
 *
 * @export
 * @class BaseAPI
 */
declare class BaseAPI {
    protected basePath: string;
    protected axios: AxiosInstance;
    protected configuration: Configuration | undefined;
    constructor(configuration?: Configuration, basePath?: string, axios?: AxiosInstance);
}

/**
 *
 * @export
 * @interface BadRequestErrorResponseBody
 */
interface BadRequestErrorResponseBody {
    /**
     *
     * @type {BadRequestErrorResponseBodyCode}
     * @memberof BadRequestErrorResponseBody
     */
    'code': BadRequestErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof BadRequestErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface BadRequestErrorResponseBodyCode
 */
interface BadRequestErrorResponseBodyCode {
}
/**
 *
 * @export
 * @interface BlockIntentRequestParams
 */
interface BlockIntentRequestParams {
    /**
     *
     * @type {string}
     * @memberof BlockIntentRequestParams
     */
    'uid': string;
    /**
     *
     * @type {V1BlockUidGetIntentParameter}
     * @memberof BlockIntentRequestParams
     */
    'intent'?: V1BlockUidGetIntentParameter;
}
/**
 *
 * @export
 * @interface BlockQueryString
 */
interface BlockQueryString {
    /**
     *
     * @type {number}
     * @memberof BlockQueryString
     */
    'version': number;
    /**
     *
     * @type {string}
     * @memberof BlockQueryString
     */
    'userIdentifier': string;
    /**
     *
     * @type {string}
     * @memberof BlockQueryString
     */
    'groupIdentifier'?: string;
}
/**
 *
 * @export
 * @interface BlockRequestParams
 */
interface BlockRequestParams {
    /**
     *
     * @type {string}
     * @memberof BlockRequestParams
     */
    'uid': string;
    /**
     *
     * @type {V1BlockUidGetIntentParameter}
     * @memberof BlockRequestParams
     */
    'intent'?: V1BlockUidGetIntentParameter;
}
/**
 *
 * @export
 * @interface FlowIntentRequestParams
 */
interface FlowIntentRequestParams {
    /**
     *
     * @type {string}
     * @memberof FlowIntentRequestParams
     */
    'uid': string;
    /**
     *
     * @type {V1FlowUidIntentPostIntentParameter}
     * @memberof FlowIntentRequestParams
     */
    'intent'?: V1FlowUidIntentPostIntentParameter;
}
/**
 *
 * @export
 * @interface FlowQueryString
 */
interface FlowQueryString {
    /**
     *
     * @type {number}
     * @memberof FlowQueryString
     */
    'version': number;
    /**
     *
     * @type {string}
     * @memberof FlowQueryString
     */
    'userIdentifier': string;
    /**
     *
     * @type {string}
     * @memberof FlowQueryString
     */
    'groupIdentifier'?: string;
    /**
     *
     * @type {boolean}
     * @memberof FlowQueryString
     */
    'include[block]'?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowQueryString
     */
    'include[block][journey]'?: boolean;
}
/**
 *
 * @export
 * @interface FlowRequestParams
 */
interface FlowRequestParams {
    /**
     *
     * @type {string}
     * @memberof FlowRequestParams
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowRequestParams
     */
    'intent'?: string;
}
/**
 *
 * @export
 * @interface FlowResponseBody
 */
interface FlowResponseBody {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'kind': FlowResponseBodyKindEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'type': FlowResponseBodyTypeEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBody
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyState}
     * @memberof FlowResponseBody
     */
    'state': FlowResponseBodyState;
    /**
     *
     * @type {Array<FlowResponseBodyBlocksInner>}
     * @memberof FlowResponseBody
     */
    'blocks'?: Array<FlowResponseBodyBlocksInner>;
}
declare const FlowResponseBodyKindEnum: {
    readonly Flow: "flow";
};
type FlowResponseBodyKindEnum = typeof FlowResponseBodyKindEnum[keyof typeof FlowResponseBodyKindEnum];
declare const FlowResponseBodyTypeEnum: {
    readonly Flow: "flow";
};
type FlowResponseBodyTypeEnum = typeof FlowResponseBodyTypeEnum[keyof typeof FlowResponseBodyTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInner
 */
interface FlowResponseBodyBlocksInner {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'kind': FlowResponseBodyBlocksInnerKindEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInner
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof FlowResponseBodyBlocksInner
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'type': FlowResponseBodyBlocksInnerTypeEnum;
    /**
     *
     * @type {Array<FlowResponseBodyBlocksInnerAnyOfFieldsInner>}
     * @memberof FlowResponseBodyBlocksInner
     */
    'fields': Array<FlowResponseBodyBlocksInnerAnyOfFieldsInner>;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInner
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof FlowResponseBodyBlocksInner
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyBlocksInner
     */
    'ordered'?: boolean;
}
declare const FlowResponseBodyBlocksInnerKindEnum: {
    readonly Block: "block";
};
type FlowResponseBodyBlocksInnerKindEnum = typeof FlowResponseBodyBlocksInnerKindEnum[keyof typeof FlowResponseBodyBlocksInnerKindEnum];
declare const FlowResponseBodyBlocksInnerTypeEnum: {
    readonly Set: "set";
};
type FlowResponseBodyBlocksInnerTypeEnum = typeof FlowResponseBodyBlocksInnerTypeEnum[keyof typeof FlowResponseBodyBlocksInnerTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOf
 */
interface FlowResponseBodyBlocksInnerAnyOf {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'kind': FlowResponseBodyBlocksInnerAnyOfKindEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'type': FlowResponseBodyBlocksInnerAnyOfTypeEnum;
    /**
     *
     * @type {Array<FlowResponseBodyBlocksInnerAnyOfFieldsInner>}
     * @memberof FlowResponseBodyBlocksInnerAnyOf
     */
    'fields': Array<FlowResponseBodyBlocksInnerAnyOfFieldsInner>;
}
declare const FlowResponseBodyBlocksInnerAnyOfKindEnum: {
    readonly Block: "block";
};
type FlowResponseBodyBlocksInnerAnyOfKindEnum = typeof FlowResponseBodyBlocksInnerAnyOfKindEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOfKindEnum];
declare const FlowResponseBodyBlocksInnerAnyOfTypeEnum: {
    readonly Model: "model";
};
type FlowResponseBodyBlocksInnerAnyOfTypeEnum = typeof FlowResponseBodyBlocksInnerAnyOfTypeEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOfTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOf1
 */
interface FlowResponseBodyBlocksInnerAnyOf1 {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'kind': FlowResponseBodyBlocksInnerAnyOf1KindEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'type': FlowResponseBodyBlocksInnerAnyOf1TypeEnum;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyBlocksInnerAnyOf1
     */
    'ordered'?: boolean;
}
declare const FlowResponseBodyBlocksInnerAnyOf1KindEnum: {
    readonly Block: "block";
};
type FlowResponseBodyBlocksInnerAnyOf1KindEnum = typeof FlowResponseBodyBlocksInnerAnyOf1KindEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOf1KindEnum];
declare const FlowResponseBodyBlocksInnerAnyOf1TypeEnum: {
    readonly Set: "set";
};
type FlowResponseBodyBlocksInnerAnyOf1TypeEnum = typeof FlowResponseBodyBlocksInnerAnyOf1TypeEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOf1TypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInner
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInner {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInner
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInner
     */
    'type': FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInner
     */
    'value': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value;
}
declare const FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum: {
    readonly Boolean: "boolean";
};
type FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum = typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf
     */
    'type': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfValue}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf
     */
    'value': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfValue;
}
declare const FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum: {
    readonly String: "string";
};
type FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum = typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1 {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1
     */
    'type': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1Value}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1
     */
    'value': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1Value;
}
declare const FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum: {
    readonly Integer: "integer";
};
type FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum = typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1Value
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1Value {
}
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2 {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2
     */
    'type': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value}
     * @memberof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2
     */
    'value': FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value;
}
declare const FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum: {
    readonly Boolean: "boolean";
};
type FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum = typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum[keyof typeof FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value {
}
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfValue
 */
interface FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfValue {
}
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInnerAnyOfState
 */
interface FlowResponseBodyBlocksInnerAnyOfState {
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyBlocksInnerAnyOfState
     */
    'active': boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyBlocksInnerAnyOfState
     */
    'completed': boolean;
}
/**
 *
 * @export
 * @interface FlowResponseBodyState
 */
interface FlowResponseBodyState {
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyState
     */
    'exited': boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyState
     */
    'started': boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyState
     */
    'completed': boolean;
}
/**
 *
 * @export
 * @interface GoToQueryString
 */
interface GoToQueryString {
    /**
     *
     * @type {number}
     * @memberof GoToQueryString
     */
    'version': number;
    /**
     *
     * @type {string}
     * @memberof GoToQueryString
     */
    'userIdentifier': string;
    /**
     *
     * @type {string}
     * @memberof GoToQueryString
     */
    'groupIdentifier'?: string;
    /**
     *
     * @type {string}
     * @memberof GoToQueryString
     */
    'blockUid': string;
}
/**
 *
 * @export
 * @interface HealthCheckResponseBody
 */
interface HealthCheckResponseBody {
    /**
     *
     * @type {string}
     * @memberof HealthCheckResponseBody
     */
    'application': string;
    /**
     *
     * @type {number}
     * @memberof HealthCheckResponseBody
     */
    'status': number;
}
/**
 *
 * @export
 * @interface InternalServerErrorResponseBody
 */
interface InternalServerErrorResponseBody {
    /**
     *
     * @type {InternalServerErrorResponseBodyCode}
     * @memberof InternalServerErrorResponseBody
     */
    'code': InternalServerErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof InternalServerErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface InternalServerErrorResponseBodyCode
 */
interface InternalServerErrorResponseBodyCode {
}
/**
 *
 * @export
 * @interface Model
 */
interface Model {
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'kind': ModelKindEnum;
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof Model
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof Model
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'type': ModelTypeEnum;
    /**
     *
     * @type {Array<FlowResponseBodyBlocksInnerAnyOfFieldsInner>}
     * @memberof Model
     */
    'fields': Array<FlowResponseBodyBlocksInnerAnyOfFieldsInner>;
}
declare const ModelKindEnum: {
    readonly Block: "block";
};
type ModelKindEnum = typeof ModelKindEnum[keyof typeof ModelKindEnum];
declare const ModelTypeEnum: {
    readonly Model: "model";
};
type ModelTypeEnum = typeof ModelTypeEnum[keyof typeof ModelTypeEnum];
/**
 *
 * @export
 * @interface ModelSet
 */
interface ModelSet {
    /**
     *
     * @type {string}
     * @memberof ModelSet
     */
    'kind': ModelSetKindEnum;
    /**
     *
     * @type {string}
     * @memberof ModelSet
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof ModelSet
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof ModelSet
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof ModelSet
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {number}
     * @memberof ModelSet
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof ModelSet
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {string}
     * @memberof ModelSet
     */
    'type': ModelSetTypeEnum;
    /**
     *
     * @type {boolean}
     * @memberof ModelSet
     */
    'ordered'?: boolean;
}
declare const ModelSetKindEnum: {
    readonly Block: "block";
};
type ModelSetKindEnum = typeof ModelSetKindEnum[keyof typeof ModelSetKindEnum];
declare const ModelSetTypeEnum: {
    readonly Set: "set";
};
type ModelSetTypeEnum = typeof ModelSetTypeEnum[keyof typeof ModelSetTypeEnum];
/**
 *
 * @export
 * @interface NotFoundErrorResponseBody
 */
interface NotFoundErrorResponseBody {
    /**
     *
     * @type {NotFoundErrorResponseBodyCode}
     * @memberof NotFoundErrorResponseBody
     */
    'code': NotFoundErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof NotFoundErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface NotFoundErrorResponseBodyCode
 */
interface NotFoundErrorResponseBodyCode {
}
/**
 *
 * @export
 * @interface SerializableBlock
 */
interface SerializableBlock {
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'kind': SerializableBlockKindEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof SerializableBlock
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof SerializableBlock
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'type': SerializableBlockTypeEnum;
    /**
     *
     * @type {Array<object>}
     * @memberof SerializableBlock
     */
    'fields': Array<object>;
    /**
     *
     * @type {number}
     * @memberof SerializableBlock
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof SerializableBlock
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {boolean}
     * @memberof SerializableBlock
     */
    'ordered'?: boolean;
}
declare const SerializableBlockKindEnum: {
    readonly Block: "block";
};
type SerializableBlockKindEnum = typeof SerializableBlockKindEnum[keyof typeof SerializableBlockKindEnum];
declare const SerializableBlockTypeEnum: {
    readonly Set: "set";
};
type SerializableBlockTypeEnum = typeof SerializableBlockTypeEnum[keyof typeof SerializableBlockTypeEnum];
/**
 *
 * @export
 * @interface SerializableBlockAnyOf
 */
interface SerializableBlockAnyOf {
    /**
     *
     * @type {string}
     * @memberof SerializableBlockAnyOf
     */
    'kind': SerializableBlockAnyOfKindEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableBlockAnyOf
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof SerializableBlockAnyOf
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof SerializableBlockAnyOf
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyBlocksInnerAnyOfState}
     * @memberof SerializableBlockAnyOf
     */
    'state': FlowResponseBodyBlocksInnerAnyOfState;
    /**
     *
     * @type {string}
     * @memberof SerializableBlockAnyOf
     */
    'type': SerializableBlockAnyOfTypeEnum;
    /**
     *
     * @type {Array<object>}
     * @memberof SerializableBlockAnyOf
     */
    'fields': Array<object>;
}
declare const SerializableBlockAnyOfKindEnum: {
    readonly Block: "block";
};
type SerializableBlockAnyOfKindEnum = typeof SerializableBlockAnyOfKindEnum[keyof typeof SerializableBlockAnyOfKindEnum];
declare const SerializableBlockAnyOfTypeEnum: {
    readonly Model: "model";
};
type SerializableBlockAnyOfTypeEnum = typeof SerializableBlockAnyOfTypeEnum[keyof typeof SerializableBlockAnyOfTypeEnum];
/**
 *
 * @export
 * @interface SerializableFlow
 */
interface SerializableFlow {
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'kind': SerializableFlowKindEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'type': SerializableFlowTypeEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof SerializableFlow
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyState}
     * @memberof SerializableFlow
     */
    'state': FlowResponseBodyState;
}
declare const SerializableFlowKindEnum: {
    readonly Flow: "flow";
};
type SerializableFlowKindEnum = typeof SerializableFlowKindEnum[keyof typeof SerializableFlowKindEnum];
declare const SerializableFlowTypeEnum: {
    readonly Flow: "flow";
};
type SerializableFlowTypeEnum = typeof SerializableFlowTypeEnum[keyof typeof SerializableFlowTypeEnum];
/**
 *
 * @export
 * @interface TimeoutErrorResponseBody
 */
interface TimeoutErrorResponseBody {
    /**
     *
     * @type {InternalServerErrorResponseBodyCode}
     * @memberof TimeoutErrorResponseBody
     */
    'code': InternalServerErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof TimeoutErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface UnauthorizedErrorResponseBody
 */
interface UnauthorizedErrorResponseBody {
    /**
     *
     * @type {UnauthorizedErrorResponseBodyCode}
     * @memberof UnauthorizedErrorResponseBody
     */
    'code': UnauthorizedErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof UnauthorizedErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface UnauthorizedErrorResponseBodyCode
 */
interface UnauthorizedErrorResponseBodyCode {
}
/**
 *
 * @export
 * @interface V1BlockUidGetIntentParameter
 */
interface V1BlockUidGetIntentParameter {
}
/**
 *
 * @export
 * @enum {string}
 */
declare const V1BlockUidGetIntentParameterAnyOf: {
    readonly Next: "next";
};
type V1BlockUidGetIntentParameterAnyOf = typeof V1BlockUidGetIntentParameterAnyOf[keyof typeof V1BlockUidGetIntentParameterAnyOf];
/**
 *
 * @export
 * @enum {string}
 */
declare const V1BlockUidGetIntentParameterAnyOf1: {
    readonly Prev: "prev";
};
type V1BlockUidGetIntentParameterAnyOf1 = typeof V1BlockUidGetIntentParameterAnyOf1[keyof typeof V1BlockUidGetIntentParameterAnyOf1];
/**
 *
 * @export
 * @enum {string}
 */
declare const V1BlockUidGetIntentParameterAnyOf2: {
    readonly GoTo: "goTo";
};
type V1BlockUidGetIntentParameterAnyOf2 = typeof V1BlockUidGetIntentParameterAnyOf2[keyof typeof V1BlockUidGetIntentParameterAnyOf2];
/**
 *
 * @export
 * @interface V1FlowUidIntentPostIntentParameter
 */
interface V1FlowUidIntentPostIntentParameter {
}
/**
 *
 * @export
 * @interface V1FlowUidIntentPostIntentParameterAnyOf
 */
interface V1FlowUidIntentPostIntentParameterAnyOf {
}
/**
 *
 * @export
 * @enum {string}
 */
declare const V1FlowUidIntentPostIntentParameterAnyOfAnyOf: {
    readonly Complete: "complete";
};
type V1FlowUidIntentPostIntentParameterAnyOfAnyOf = typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf[keyof typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf];
/**
 *
 * @export
 * @enum {string}
 */
declare const V1FlowUidIntentPostIntentParameterAnyOfAnyOf1: {
    readonly Exit: "exit";
};
type V1FlowUidIntentPostIntentParameterAnyOfAnyOf1 = typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf1[keyof typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf1];
/**
 *
 * @export
 * @enum {string}
 */
declare const V1FlowUidIntentPostIntentParameterAnyOfAnyOf2: {
    readonly Reset: "reset";
};
type V1FlowUidIntentPostIntentParameterAnyOfAnyOf2 = typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf2[keyof typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf2];
/**
 *
 * @export
 * @enum {string}
 */
declare const V1FlowUidIntentPostIntentParameterAnyOfAnyOf3: {
    readonly Start: "start";
};
type V1FlowUidIntentPostIntentParameterAnyOfAnyOf3 = typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf3[keyof typeof V1FlowUidIntentPostIntentParameterAnyOfAnyOf3];
/**
 * APIApi - axios parameter creator
 * @export
 */
declare const APIApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidGet: (version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidGoToPost: (version: number, userIdentifier: string, blockUid: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidIntentPost: (version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1FlowUidGet: (version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1FlowUidIntentPostIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1FlowUidIntentPost: (version: number, userIdentifier: string, uid: string, intent: V1FlowUidIntentPostIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * APIApi - functional programming interface
 * @export
 */
declare const APIApiFp: (configuration?: Configuration) => {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidGet(version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SerializableBlock>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidGoToPost(version: number, userIdentifier: string, blockUid: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidIntentPost(version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1FlowUidGet(version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<FlowResponseBody>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1FlowUidIntentPostIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1FlowUidIntentPost(version: number, userIdentifier: string, uid: string, intent: V1FlowUidIntentPostIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
};
/**
 * APIApi - factory interface
 * @export
 */
declare const APIApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidGet(version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: any): AxiosPromise<SerializableBlock>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidGoToPost(version: number, userIdentifier: string, blockUid: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1BlockUidIntentPost(version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1FlowUidGet(version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: any): AxiosPromise<FlowResponseBody>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1FlowUidIntentPostIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    v1FlowUidIntentPost(version: number, userIdentifier: string, uid: string, intent: V1FlowUidIntentPostIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: any): AxiosPromise<void>;
};
/**
 * APIApi - object-oriented interface
 * @export
 * @class APIApi
 * @extends {BaseAPI}
 */
declare class APIApi extends BaseAPI {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    v1BlockUidGet(version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<SerializableBlock, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    v1BlockUidGoToPost(version: number, userIdentifier: string, blockUid: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<void, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1BlockUidGetIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    v1BlockUidIntentPost(version: number, userIdentifier: string, uid: string, intent: V1BlockUidGetIntentParameter, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<void, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    v1FlowUidGet(version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<FlowResponseBody, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {V1FlowUidIntentPostIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    v1FlowUidIntentPost(version: number, userIdentifier: string, uid: string, intent: V1FlowUidIntentPostIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<void, any>>;
}

export { APIApi, APIApiAxiosParamCreator, APIApiFactory, APIApiFp, BadRequestErrorResponseBody, BadRequestErrorResponseBodyCode, BlockIntentRequestParams, BlockQueryString, BlockRequestParams, Configuration, ConfigurationParameters, FlowIntentRequestParams, FlowQueryString, FlowRequestParams, FlowResponseBody, FlowResponseBodyBlocksInner, FlowResponseBodyBlocksInnerAnyOf, FlowResponseBodyBlocksInnerAnyOf1, FlowResponseBodyBlocksInnerAnyOf1KindEnum, FlowResponseBodyBlocksInnerAnyOf1TypeEnum, FlowResponseBodyBlocksInnerAnyOfFieldsInner, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1TypeEnum, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf1Value, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2TypeEnum, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOf2Value, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfTypeEnum, FlowResponseBodyBlocksInnerAnyOfFieldsInnerAnyOfValue, FlowResponseBodyBlocksInnerAnyOfFieldsInnerTypeEnum, FlowResponseBodyBlocksInnerAnyOfKindEnum, FlowResponseBodyBlocksInnerAnyOfState, FlowResponseBodyBlocksInnerAnyOfTypeEnum, FlowResponseBodyBlocksInnerKindEnum, FlowResponseBodyBlocksInnerTypeEnum, FlowResponseBodyKindEnum, FlowResponseBodyState, FlowResponseBodyTypeEnum, GoToQueryString, HealthCheckResponseBody, InternalServerErrorResponseBody, InternalServerErrorResponseBodyCode, Model, ModelKindEnum, ModelSet, ModelSetKindEnum, ModelSetTypeEnum, ModelTypeEnum, NotFoundErrorResponseBody, NotFoundErrorResponseBodyCode, SerializableBlock, SerializableBlockAnyOf, SerializableBlockAnyOfKindEnum, SerializableBlockAnyOfTypeEnum, SerializableBlockKindEnum, SerializableBlockTypeEnum, SerializableFlow, SerializableFlowKindEnum, SerializableFlowTypeEnum, TimeoutErrorResponseBody, UnauthorizedErrorResponseBody, UnauthorizedErrorResponseBodyCode, V1BlockUidGetIntentParameter, V1BlockUidGetIntentParameterAnyOf, V1BlockUidGetIntentParameterAnyOf1, V1BlockUidGetIntentParameterAnyOf2, V1FlowUidIntentPostIntentParameter, V1FlowUidIntentPostIntentParameterAnyOf, V1FlowUidIntentPostIntentParameterAnyOfAnyOf, V1FlowUidIntentPostIntentParameterAnyOfAnyOf1, V1FlowUidIntentPostIntentParameterAnyOfAnyOf2, V1FlowUidIntentPostIntentParameterAnyOfAnyOf3 };
